<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
function view() {
	// ... some stuff

	$this->load->library('calendar');
	$this->calendar->initialize($this->_calendar_prefs());

	for ($i = 1; $i <= count($status); $i++) {
		$day = mktime(0, 0, 0, $month, $i, $year);

		if ($status[$i]) {
			$cal[$i]['class'] = '';
			$href = 'to';

			if (($day < $ft || $ft == 0) || $fb) {
				$href = 'from';
				$cal[$i]['title'] = 'Start on ' . date('m/j', $day);
			}
			else if ($ft == $day) {
				$cal[$i]['class'] = 'start';
			}
			else {
				$cal[$i]['title'] = 'End on ' . date('m/j', $day);
			}

			$cal[$i]['content']	= $this->uri->set_segment($href, date('Y-m-d', $day));
		}
		else {
			$cal[$i]['class'] = 'un';

			if ($day > $ft) {
				$fb = true;
			}
		}


		$cal[$i]['class'] .= 'available';
	}

	$data['calendar'] = $this->calendar->generate($year, $month, $cal);

	// ... other stuff

}

function _calendar_prefs() {

	$prefs = array (
	               'start_day'    => 'sunday',
	               'month_type'   => 'long',
	               'day_type'     => 'short',
	               'show_next_prev' => true,
	             );

	$prefs['template'] = '

	   {table_open}<table id="availability_cal">{/table_open}

	   {heading_row_start}<a name="calendar"><tr>{/heading_row_start}

	   {heading_previous_cell}<th><a href="{previous_url}#calendar">&lt;&lt;</a></th>{/heading_previous_cell}
	   {heading_title_cell}<th colspan="{colspan}">{heading}</th>{/heading_title_cell}
	   {heading_next_cell}<th><a href="{next_url}#calendar">&gt;&gt;</a></th>{/heading_next_cell}

	   {heading_row_end}</tr></a>{/heading_row_end}

	   {week_row_start}<tr>{/week_row_start}
	   {week_day_cell}<td>{week_day}</td>{/week_day_cell}
	   {week_row_end}</tr>{/week_row_end}

	   {cal_row_start}<tr>{/cal_row_start}
	   {cal_cell_start}<td class="{class}" id="{year}{month}{day2}">{/cal_cell_start}
       {cal_cell_start_today}<td class="{class}" id="{year}{month}{day2}">{/cal_cell_start_today}

	   {cal_cell_content}<a href="{content}#calendar" title="{title}">{day}</a>{/cal_cell_content}
	   {cal_cell_content_today}<div class="today"><a href="{content}#calendar" title="{title}">{day}</a></div>{/cal_cell_content_today}

	   {cal_cell_no_content}{day}{/cal_cell_no_content}
	   {cal_cell_no_content_today}<div class="today">{day}</div>{/cal_cell_no_content_today}

	   {cal_cell_blank}&nbsp;{/cal_cell_blank}

	   {cal_cell_end}</td>{/cal_cell_end}
	   {cal_row_end}</tr>{/cal_row_end}

	   {table_close}</table>{/table_close}
	';

	$prefs['next_prev_url'] = '/wtf/bbq';
	if ($temp = $this->uri->rsegment_value('from'))
		$prefs['next_prev_url'] .= '/from/' . $temp;
	$prefs['next_prev_url'] .= '/month';

	return $prefs;
}
?>